NCT Time Now
NCT is the abbreviation of New Caledonia Time. Time zone offset of NCT is UTC+11. New Caledonia Time is 11 hours ahead from the UTC universal time. NCT current date is 4th Wednesday November 2026. Current time in NCT (NCT).
NCT Time
04:21:36
4 November 2026 Wednesday
NCT, or New Caledonia Time, is the time standard valid for New Caledonia, which is a small French colony in the Pacific Ocean and a part of Melanesia. New Caledonia Time is 11 hours ahead of the UTC universal time, and summer daylight saving time is not observed in the area.
What time is it in New Caledonia Time now? It is 04:21:36 right now.
New Caledonia Time Date and Time Now in Various Formats
| Date Time Format | NCT Date Time Now |
|---|---|
| UTC | 2026-11-04T04:21:36Z |
| ISO-8601 | 2026-11-04T04:21:36+0000 |
| RFC 2822 | Wed, 04 Nov 2026 04:21:36 +0000 |
| RFC 850 | Wednesday, 04-Nov-26 04:21:36 UTC |
| RFC 1036 | Wed, 04 Nov 26 04:21:36 +0000 |
| RFC 1123 | Wed, 04 Nov 2026 04:21:36 +0000 |
| RFC 822 | Wed, 04 Nov 26 04:21:36 +0000 |
| RFC 3339 | 2026-11-04T04:21:36+00:00 |
| ATOM | 2026-11-04T04:21:36+00:00 |
| COOKIE | Wednesday, 04-Nov-2026 04:21:36 UTC |
| RSS | Wed, 04 Nov 2026 04:21:36 +0000 |
| W3C | 2026-11-04T04:21:36+00:00 |
| Unix Epoch | 1793766096 |
| YYYY-DD-MM HH:MM:SS | 2026-04-11 04:21:36 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-04-11 04:21:36 AM |
| DD-MM-YYYY HH:MM:SS | 04-11-2026 04:21:36 |
| MM-DD-YYYY HH:MM:SS | 11-04-2026 04:21:36 |